Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 444756 - dev-ruby/rails-api - Rails for API only applications
Summary: dev-ruby/rails-api - Rails for API only applications
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Default Assignee for New Packages
URL: https://github.com/rails-api/rails-api
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-26 06:43 UTC by Reuben Martin
Modified: 2012-11-26 19:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Reuben Martin 2012-11-26 06:43:36 UTC
rails-api is a sub-set of rails to be used when creating a JSON API app.

Dependencies shouldn't be an issue, since it's basically just a stripped down version of rails. Supposedly it is passing all tests. (Not sure if that includes testing with stuff like jruby)

Reproducible: Always
Comment 1 Hans de Graaff gentoo-dev 2012-11-26 19:00:29 UTC
To manage expectations, please see the policy of the ruby project for adding new packages: http://www.gentoo.org/proj/en/prog_lang/ruby/index.xml#doc_chap7